Bug 28483 - /usr/bin/lesspipe.sh uses wrong tar flag to decompress *.tar.bz2 archives
/usr/bin/lesspipe.sh uses wrong tar flag to decompress *.tar.bz2 archives
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: less (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-20 14:06 EST by kehcheng
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 14:06:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kehcheng 2001-02-20 14:06:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.23 i686)


/usr/bin/lesspipe.sh uses "tar tIvvf" to list a bzip2-compressed
tar file contents.  The "I" flag no longer works with tar version 1.13.18,
which now needs the "j" flag.

Reproducible: Always
Steps to Reproduce:
1. less some.tar.bz2
2.
3.
	

Actual Results:  "some.tar.bz2" may be a binary file.  See it anyway?

Expected Results:  should have generated file listing of some.tar.bz2
Comment 1 Karsten Hopp 2001-02-21 08:22:05 EST
we have a new tar package in rawhide which restores the old -I behavior.
I agree that this should be fixed for the next release, but until then...
deferred.

Note You need to log in before you can comment on or make changes to this bug.